Package org.apache.cxf.endpoint

# Interface ServerLifeCycleManager

All Known Implementing Classes:
  `ServerLifeCycleManagerImpl`

public interface ServerLifeCycleManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `registerListener(ServerLifeCycleListener listener)`
  `void`
  `startServer(Server server)`
  `void`
  `stopServer(Server server)`
  `void`
  `unRegisterListener(ServerLifeCycleListener listener)`

- ## Method Details

  - ### startServer

    void startServer(Server server)

  - ### stopServer

    void stopServer(Server server)

  - ### registerListener

    void registerListener(ServerLifeCycleListener listener)

  - ### unRegisterListener

    void unRegisterListener(ServerLifeCycleListener listener)